import request from '@/utils/request'

// 获取首页数据
export function getUserHome(parameter) {
  return request({
    url: '/api/user/home',
    method: 'get',
    params: parameter
  })
}

// 获取用户列表
export function getUser(parameter) {
  return request({
    url: '/api/sys-user',
    method: 'get',
    params: parameter
  })
}

// 获取用户详情
export function getUserDetails(parameter) {
  return request({
    url: '/api/sys-use/' + parameter,
    method: 'get',
  })
}

// 添加用户
export function addUser(parameter) {
  return request({
    url: '/api/sys-user',
    method: 'post',
    data: parameter
  })
}

// 编辑用户
export function putUser(parameter) {
  return request({
    url: '/api/sys-user',
    method: 'put',
    data: parameter
  })
}

// 重置用户密码
export function putResetUser(parameter) {
  return request({
    url: '/api/user/pwd/reset',
    method: 'put',
    data: parameter
  })
}

// 删除用户
export function delUser(parameter) {
  return request({
    url: '/api/sys-user',
    method: 'delete',
    data: parameter
  })
}
// 上传
export function getFileToken(parameter) {
  return request({
    url: '/api/upload',
    method: 'post',
    data: parameter,
    uploading: true,
    timeout: 100000, // 请求超时时间
    headers: {
      'Content-Type': 'multipart-formData'
    },
  })
}
